Articles of GD

在Centos 6.3上安装GD

大家好,我正尝试在我的CentOS 6.3机器上运行lighttpd作为Web服务器,在我的PHP安装中启用GD。 我已经做了yum install gd gd-php ,当我运行php -i我得到 gd GD Support => enabled GD Version => bundled (2.0.34 compatible) FreeType Support => enabled FreeType Linkage => with freetype FreeType Version => 2.3.11 GIF Read Support => enabled GIF Create Support => enabled JPEG Support => enabled libJPEG Version => 6b PNG Support => enabled libPNG […]

需要帮助安装php gd在Linux与lampp(xampp)

我在lubuntu oneiric上运行lampp 1.7.1。 我需要为php_gd添加扩展名。 我通过安装php5-gd sudo apt-get install php5-gd 看看php.ini,注意到这一行 ;extension=php_gd.dll search与php_gd和发现的东西 /usr/include/php5/ext/gd/php_gd.h 试图把它复制到 sudo cp -av '/usr/include/php5/ext/gd/php_gd.h' '/opt/lampp/lib/php/extensions/no-debug-non-zts-20060613/php_gd.h' sudo chmod 755 '/opt/lampp/lib/php/extensions/no-debug-non-zts-20060613/php_gd.h' 添加到php.ini extension=php_gd.h 重新启动lampp并得到这个错误: PHP Warning: PHP Startup: Unable to load dynamic library '/opt/lampp/lib/php/extensions/no-debug-non-zts-20060613/php_gd.h' – /opt/lampp/lib/php/extensions/no-debug-non-zts-20060613/php_gd.h: invalid ELF header in Unknown on line 0

在FreeBSD上处理来自PHP的PNG图像时出现奇怪的GD错误

我的FreeBSD 7.1服务器有问题。 PHP的GD实现不再适用于PNG图像。 每当系统尝试使用PNG图像时,我都会得到这三个错误消息: [星期六7月18日21:41:15 2009年] [错误] [客户端90.34.34.34] PHP警告:imagecreatefrompng()[function.imagecreatefrompng]:gd-png:致命libpng错误:[00] [00] [00] [ 00]:第44行的/usr/storage/www/private/mikkel.hoegh.org/modules/acquia/imageapi/imageapi_gd.module中的未知关键块,referer:http://mikkel.hoegh.org/admin/build / imagecache / 3 [2009年7月18日星期六21:41:15] [error] [client 90.34.34.34] PHP Warning:imagecreatefrompng()[function.imagecreatefrompng]:gd-png错误:setjmp返回/ usr / storage / www / private中的错误状态/mikkel.hoegh.org/modules/acquia/imageapi/imageapi_gd.module on line 44,referer:http://mikkel.hoegh.org/admin/build/imagecache/3 [星期六七月十八日21:41:15 2009] [error] [client 90.34.34.34] PHP Warning:imagecreatefrompng()[function.imagecreatefrompng]:'sites / mikkel.hoegh.org / files / imagecache_sample.png'不是第44行/usr/storage/www/private/mikkel.hoegh.org/modules/acquia/imageapi/imageapi_gd.module中有效的PNG文件,参考文献:http://mikkel.hoegh.org/admin/build/imagecache/ 3 我现在一直在试着解决这个问题,而我发现的最好的线索是另一个有同样问题的人 ,但是没有解决方法。 有问题的代码是相当简单的,它只是调用imagecreatefrompng($filename); 我能想到的所有软件包的软件包版本可能是相关的: php5-5.2.10 PHP5-GD-5.2.10 PNG-1.2.37 GD-2.0.35_1,1 […]

PHP的 – 与VPS上创build图像的错误

我试图创buildPHP脚本,将文本添加到图像。 当我在我的电脑(XAMPP)上testing它时,它完美地工作。 当我使用Apache和PHP5在我的VPS上testing它时,它什么都不输出。 Screenshoot: PHP输出 我希望有一个人可以帮助我。 提前致谢。 PS PHP5-GD安装在我的Debian VPS上。 问题解决了。 我需要使用完整的path,没有相对path的字体文件。

用gd for ubuntu 12.04编译php5时出错

我需要imageantialias()在我build立的服务器上工作。 我之前已经编写过PHP,但由于某种原因,我再也无法做到了。 我跑了这些步骤来尝试: apt-get source php5 apt-get build-dep php5 cd php5-* nano debian/rules find这一行–with-gd=shared,/usr –enable-gd-native-ttf \并移除,/usr 保存并退出 nano debian/setup_mysql.sh searchStart the daemon 在mysqld之后添加–user=root 保存并退出 dpkg-buildpackage –rfakeroot -us –uc -d 然后运行很长时间,然后在这里结束: make[1]: Leaving directory `/usr/src/php5-5.3.10/cgi-build' sed -i -e 's/-d output_buffering=1 -d open_basedir="" -d safe_mode=0/-d output_buffering=1 -d open_basedir="" -d safe_mode=0 -d memory_limit="-1"/' \ /usr/src/php5-5.3.10/pear-build/usr/bin/pear && \ sed […]

即使在phpinfo()中启用了GD Library也不能正常工作

我希望这里有人可以给我一些build议,说明为什么我的GD库似乎没有工作,即使它安装并启用了phpinfo() 这里是我正在使用的一个简短的概要: PHP 5.5.16 Ubuntu 12.04 GD 2.1.1-dev(尝试过其他版本也无济于事) 正如我所说的gd显示在phpinfo,但它根本不起作用。 我没有得到一个错误。 只是一个完全空白的屏幕。 我一直在尝试我能想到的一切,但没有尝试过。

缺lessPHP gd的JPEG图像支持

我有一个centos 7服务器,需要多个版本的PHP。 我正在编译PHP 5.6和PHP应用程序需要支持GD Jpeg。 我有以下错误。 ./configure –prefix=/opt/php-5.6.28 …. –with-freetype-dir –with-freetype-dir –with-gd –enable-gd-native-ttf –with-png-dir –with-jpeg-dir=/usr/local/lib/ –with-jpeg-dir = / usr / local / lib / 或 / usr 或 / usr / lib64 .. 输出: checking for GD support… yes checking for the location of libvpx… no checking for the location of libjpeg… /usr/local/lib/ checking for […]

试图安装gd,得到冲突错误

我试图安装GD使用sudo yum install php-gd但我得到下面的错误。 我知道我之前遇到过这个问题,但似乎无法回想起我如何解决这个问题。 我在错误的目录? 我在某些时候错误地更新了PHP吗? 我的大脑似乎已经closures了一夜,我无法弄清楚这一个。 – >处理冲突:php55w-common-5.5.8-1.w6.i386冲突php-common <5.5.0 – >完成依赖关系解决scheme 错误:php55w-与php-common-5.3.3-27.el6_5.i686`的常见冲突 谢谢

安装php-gd时出错

我安装了与remi回购的PHP,现在我想安装PHP GD。 我试过为我的CentOS 7安装php-gd,但是我得到这个错误: sudo yum install php-gd Loaded plugins: fastestmirror, langpacks Loading mirror speeds from cached hostfile * base: repos.redrockhost.com * epel: mirrors.syringanetworks.net * extras: centos.sonn.com * updates: mirror.compevo.com Resolving Dependencies –> Running transaction check —> Package php-gd.x86_64 0:5.4.16-23.el7_0.3 will be installed –> Processing Dependency: php-common(x86-64) = 5.4.16-23.el7_0.3 for package: php-gd-5.4.16-23.el7_0.3.x86_64 –> Processing Dependency: […]

如何在通过RPM安装时在PHP中启用GD?

我们正在开发一个没有GD的PHP运行的客户端服务器。 我们希望在该机器上启用PHP的PHP支持。 启用GD最直接的方法是什么? 有没有办法通过RPM做到这一点? 谢谢! 更新: 目前运行: RedHat Enterprise Linux Server版本5.3使用RPM